Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.command
Class PrintCommand

    java.lang.Object
      edu.wpi.first.wpilibj.command.Command
          edu.wpi.first.wpilibj.command.PrintCommand

All Implemented Interfaces:
  NamedSendable, Sendable

    public class PrintCommand

extends Command

A `PrintCommand` is a command which prints out a string when it is initialized, and then immediately finishes. It is useful if you want a `CommandGroup` to print out a string when it reaches a certain point.

Author:
  Joe Grinstead

Constructor Summary
`PrintCommand(String message)` Instantiates a `PrintCommand` which will print the given message when it is run.

Method Summary
`protected void` | `end()` Called when the command ended peacefully.
`protected void` | `execute()` The execute method is called repeatedly until this Command either finishes or is canceled.
`protected void` | `initialize()` The initialize method is called the first time this Command is run after being started.
`protected void` | `interrupted()` Called when the command ends because somebody called `cancel()` or another command shared the same requirements as this one, and booted it out.
`protected boolean` | `isFinished()` Returns whether this command is finished.

Methods inherited from class edu.wpi.first.wpilibj.command.Command
`cancel, doesRequire, getGroup, getName, getSmartDashboardType, getTable, initTable, isCanceled, isInterruptible, isRunning, isTimedOut, requires, setInterruptible, setRunWhenDisabled, setTimeout, start, timeSinceInitialized, toString, willRunWhenDisabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrintCommand

    public PrintCommand(String message)

  Instantiates a `PrintCommand` which will print the given message when it is run.

  Parameters:
    `message` - the message to print

Method Detail

### initialize

    protected void initialize()

  Description copied from class: `Command`
  The initialize method is called the first time this Command is run after being started.

  Specified by:
    `initialize` in class `Command`

### execute

    protected void execute()

  Description copied from class: `Command`
  The execute method is called repeatedly until this Command either finishes or is canceled.

  Specified by:
    `execute` in class `Command`

### isFinished

    protected boolean isFinished()

  Description copied from class: `Command`
  Returns whether this command is finished. If it is, then the command will be removed and `end()` will be called.

  It may be useful for a team to reference the `isTimedOut()` method for time-sensitive commands.

  Specified by:
    `isFinished` in class `Command`
  Returns:
    whether this command is finished.
  See Also:
    `isTimedOut()`

### end

    protected void end()

  Description copied from class: `Command`
  Called when the command ended peacefully. This is where you may want to wrap up loose ends, like shutting off a motor that was being used in the command.

  Specified by:
    `end` in class `Command`

### interrupted

    protected void interrupted()

  Description copied from class: `Command`
  Called when the command ends because somebody called `cancel()` or another command shared the same requirements as this one, and booted it out.

  This is where you may want to wrap up loose ends, like shutting off a motor that was being used in the command.

  Generally, it is useful to simply call the `end()` method within this method

  Specified by:
    `interrupted` in class `Command`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"